Update a cardholder
Update a cardholder profile.
Required permissions: cardholder:update.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
cardholder_id
Query parameters
reveal_sensitive
Whether to include unmasked sensitive fields in the response. Defaults to false.
Request
This endpoint expects an object.
given_name
Replacement given name for individual cardholders.
family_name
Replacement family name for individual cardholders.
business_name
Replacement business name for corporate cardholders.
email
Replacement email address.
phone_number
Replacement phone number in E.164 format.
address
Replacement postal address.
Response
The updated cardholder.
IndividualCardholder
An individual cardholder, as shown to clients through the client-facing API.
OR
CorporateCardholder
A corporate cardholder, as shown to clients through the client-facing API.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error